Skip to main content
POST
/
collections
/
{id}
/
items
Add an assessment to a collection
curl --request POST \
  --url https://app.edpire.com/api/v1/collections/{id}/items \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '
{
  "assessment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'
{
  "data": {
    "items": [
      {
        "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
        "position": 123,
        "assessment": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
          "title": "<string>",
          "share_code": "<string>",
          "settings": {}
        }
      }
    ]
  },
  "error": {
    "message": "<string>"
  },
  "meta": {}
}

Authorizations

Authorization
string
header
required

API key starting with edp_live_. Pass via Authorization: Bearer edp_live_xxx.

Scopes: read:assessments, write:assessments, read:results, write:submissions.

Path Parameters

id
string<uuid>
required

Collection UUID

Body

application/json
assessment_id
string<uuid>
required

Response

Assessment added

data
object
error
object
meta
object